Page MenuHomePhabricator

Request Content Translation on Minangkabau Wikipedia
Closed, ResolvedPublic1 Estimated Story Points

Description

I would like to request a Content Translation tool in Minangkabau Wikipedia (min.wikipedia.org). The tool has been tested at the Indonesian Wikipedia before, so we would like the tool in our wiki too. We request a translation tool from Indonesian to Minangkabau, considering that many Minangkabau articles originated from the Indonesian Wikipedia and both languages shared many common features like grammars, vocabularies etc, so it would be more useful than translating it from English.

Event Timeline

SpartacksCompatriot raised the priority of this task from to Needs Triage.
SpartacksCompatriot updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 19 2015, 8:22 AM
Bennylin added a subscriber: Bennylin.

It would be a good case study, since Minangkabau Wikipedia is our newest Wikipedia, and already relied a lot on translation from Indonesian Wikipedia articles. Minang speakers are almost all diglot too.

There is no automatic machine translation service we can provide for min.wiki. But the contenttranslation tool is usable with MT too, there are other tools to help translation. If community want the tool, I think we can deploy. Assigning to Kartik to do required configuration changes.

santhosh triaged this task as Medium priority.Jan 29 2015, 7:31 PM
Arrbee raised the priority of this task from Medium to High.Feb 2 2015, 8:09 AM
Arrbee moved this task from Needs Triage to Long term on the ContentTranslation board.
Arrbee lowered the priority of this task from High to Medium.Feb 2 2015, 9:32 AM
Arrbee added a subscriber: Arrbee.
gerritbot added a subscriber: gerritbot.

Change 189896 had a related patch set uploaded (by KartikMistry):
config: Enable Indonesian to Minangkabau

https://gerrit.wikimedia.org/r/189896

Patch-For-Review

Change 189896 abandoned by KartikMistry:
config: Enable en-min and id-min language pairs

Reason:
This should be fix in Puppet config as config.default.js now contains all possible pairs already.

https://gerrit.wikimedia.org/r/189896

Change 191544 had a related patch set uploaded (by KartikMistry):
Beta: CX: Add Minangkabau (min) in target language

https://gerrit.wikimedia.org/r/191544

Patch-For-Review

akosiaris added a subscriber: akosiaris.EditedFeb 19 2015, 9:01 AM

There is no automatic machine translation service we can provide for min.wiki. But the contenttranslation tool is usable with MT too, there are other tools to help translation.

Just making something clear @santhosh, you mean the contenttranslation tool is usable without MT too, right ?

Just making something clear @santhosh, you mean the contenttranslation tool is usable without MT too, right ?

Yes. Content Translation is usable without MT too.

Change 191544 merged by Alexandros Kosiaris:
Beta: CX: Add Minangkabau (min) in target language

https://gerrit.wikimedia.org/r/191544

Arrbee added a comment.EditedFeb 20 2015, 8:39 AM

Now available on the beta server for testing. Please also see the announcement made to the Minangkabau Wikipedia village pump. Thanks.

Awesome. Thanks Runa, Santhosh and everyone else.

Arrbee edited projects, added LE-Sprint-83; removed LE-Sprint-82.Feb 24 2015, 7:35 AM
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-83 board.

Change 192764 had a related patch set uploaded (by KartikMistry):
Enable Content Translation in minwiki and uzwiki

https://gerrit.wikimedia.org/r/192764

Arrbee edited a custom field.Feb 25 2015, 5:46 AM

Change 192769 had a related patch set uploaded (by KartikMistry):
CX: Enable ru in source, min and uz in target wikis

https://gerrit.wikimedia.org/r/192769

Change 192769 merged by Alexandros Kosiaris:
CX: Enable ru in source, min and uz in target wikis

https://gerrit.wikimedia.org/r/192769

Change 192764 merged by jenkins-bot:
Enable Content Translation in minwiki and uzwiki

https://gerrit.wikimedia.org/r/192764

Krenair closed this task as Resolved.Feb 26 2015, 4:41 PM
Krenair added a subscriber: Krenair.

Done.

KartikMistry moved this task from In Review to Done on the LE-Sprint-83 board.Mar 1 2015, 6:33 AM